Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 2719)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 2720)
@@ -53,6 +53,7 @@
 import org.txm.rcp.swt.widget.ThresholdsGroup;
 import org.txm.rcp.swt.widget.structures.PropertiesComboViewer;
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
 import org.txm.specificities.core.functions.Specificities;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
@@ -209,6 +210,12 @@
 				this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 				this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
 				this.vMaxSpinner.setMinimum(2);
+				CQPCorpus corpus = getResult().getFirstParent(MainCorpus.class);
+				if (corpus != null) {
+					this.vMaxSpinner.setMaximum(corpus.getSize());
+					this.fMaxSpinner.setMaximum(corpus.getSize());
+					this.fMinSpinner.setMaximum(corpus.getSize());
+				}
 			}
 			
 		}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 2719)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/RCAChartCreator.java	(revision 2720)
@@ -9,21 +9,22 @@
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.messages.CACoreMessages;
 import org.txm.ca.core.statsengine.r.functions.FactoMineRCA;
-import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.chartsengine.r.core.RChartsEngine;
 import org.txm.utils.logger.Log;
 
 /**
  * R CA chart creator.
+ * 
  * @author mdecorde
  * @author sjacquot
  *
  */
-public class RCAChartCreator extends RChartCreator implements CAChartCreator {
-
+public class RCAChartCreator extends RChartCreator<CA> implements CAChartCreator {
+	
 	/**
 	 * Creates a factorial map chart from the specified CA result from "FactoMineR" R package and writes it in the specified file.
+	 * 
 	 * @param ca
 	 * @param destFile
 	 * @param showIndividuals
@@ -32,50 +33,51 @@
 	 * @param secondDimension
 	 * @return the generated file containing the chart
 	 */
-	public File createFactorialMapChart(FactoMineRCA ca, File destFile, boolean showIndividuals, boolean showVariables, int firstDimension, int secondDimension, String title)	{
-
+	public File createFactorialMapChart(FactoMineRCA ca, File destFile, boolean showIndividuals, boolean showVariables, int firstDimension, int secondDimension, String title) {
+		
 		try {
-
+			
 			String label = ""; //$NON-NLS-1$
 			String invisible = ""; //$NON-NLS-1$
 			if (showIndividuals)
-				label +=", \"col\""; //$NON-NLS-1$
+				label += ", \"col\""; //$NON-NLS-1$
 			else
-				invisible +=", \"col\""; //$NON-NLS-1$
-
+				invisible += ", \"col\""; //$NON-NLS-1$
+			
 			if (showVariables)
-				label +=", \"row\""; //$NON-NLS-1$
+				label += ", \"row\""; //$NON-NLS-1$
 			else
-				invisible +=", \"row\""; //$NON-NLS-1$
-
+				invisible += ", \"row\""; //$NON-NLS-1$
+			
 			if (label.length() > 0)
-				label = "c("+label.substring(1)+")"; //$NON-NLS-1$ //$NON-NLS-2$
+				label = "c(" + label.substring(1) + ")"; //$NON-NLS-1$ //$NON-NLS-2$
 			else
 				label = "c(\"all\")"; //$NON-NLS-1$
-
+			
 			if (invisible.length() > 0)
-				invisible = "c("+invisible.substring(1)+")"; //$NON-NLS-1$ //$NON-NLS-2$
+				invisible = "c(" + invisible.substring(1) + ")"; //$NON-NLS-1$ //$NON-NLS-2$
 			else
 				invisible = "c()"; //$NON-NLS-1$
-
+			
 			String axes = "c(" + firstDimension + ", " + secondDimension + ")"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
-			String cmd = "plot.CA("+ ca.getSymbol() +", label=" + label + ", invisible=" + invisible + ", axes=" + axes + ", title=\"" + title + "\", cex=.8)"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 			
+			String cmd = "plot.CA(" + ca.getSymbol() + ", label=" + label + ", invisible=" + invisible + ", axes=" + axes + ", title=\"" + title + "\", cex=.8)"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
+			
 			this.getChartsEngine().plot(destFile, cmd);
 			
 		}
-		catch(Exception e) {
-			Log.severe(CACoreMessages.bind(CACoreMessages.cantCreateCAChartFileChartsEngineColonP0P1, RChartsEngine.DESCRIPTION+" - FactoMineR package", e)); //$NON-NLS-1$
+		catch (Exception e) {
+			Log.severe(CACoreMessages.bind(CACoreMessages.cantCreateCAChartFileChartsEngineColonP0P1, RChartsEngine.DESCRIPTION + " - FactoMineR package", e)); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
-
+		
 		return destFile;
 	}
-
-
+	
+	
 	/**
 	 * Creates a factorial map chart from the specified CA result from "CA" R package and writes it in the specified file.
+	 * 
 	 * @param ca
 	 * @param destFile
 	 * @param showIndividuals
@@ -84,16 +86,16 @@
 	 * @param secondDimension
 	 * @return the generated file containing the chart
 	 */
-	public File createFactorialMapChart(org.txm.ca.core.statsengine.r.functions.CA ca, File destFile, boolean showIndividuals, boolean showVariables, int firstDimension, int secondDimension)	{
-
+	public File createFactorialMapChart(org.txm.ca.core.statsengine.r.functions.CA ca, File destFile, boolean showIndividuals, boolean showVariables, int firstDimension, int secondDimension) {
+		
 		try {
-
+			
 			double[] sv = ca.getEigenvalues();
 			double tot = 0;
 			DecimalFormat f = new DecimalFormat("###.00"); //$NON-NLS-1$
 			for (int i = 0; i < sv.length; i++)
 				tot += (sv[i]);
-
+			
 			double inertie1 = (((sv[firstDimension - 1] * sv[firstDimension - 1]) / tot) * 100.0);
 			double inertie2 = (((sv[secondDimension - 1] * sv[secondDimension - 1]) / tot) * 100.0);
 			String contrib1 = "axis(" + firstDimension + "): inertia=" + f.format(inertie1) + "%"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
@@ -106,72 +108,72 @@
 			cmd += ", cex=.5);"; //$NON-NLS-1$
 			cmd += "mtext(\"" + contrib1 + "\", side = 1, line = 2);"; //$NON-NLS-1$ //$NON-NLS-2$
 			cmd += "mtext(\"" + contrib2 + "\", side = 2, line = 2);"; //$NON-NLS-1$ //$NON-NLS-2$
-
+			
 			this.getChartsEngine().plot(destFile, cmd);
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 			Log.severe(CACoreMessages.bind(CACoreMessages.cantCreateCAChartFileChartsEngineColonP0P1, RChartsEngine.DESCRIPTION + " - CA package", e)); //$NON-NLS-1$
 			Log.printStackTrace(e);
 		}
-
+		
 		return destFile;
 	}
 	
-
-
+	
+	
 	@Override
-	public File createChartFile(ChartResult result, File file) {
-
-		CA ca = (CA) result;
-	
+	public File createChart(CA ca, File file) {
+		
 		// FactoMineR R package
-		if(ca.useFactoMineR())	{
-			return this.createFactorialMapChart((FactoMineRCA) ca.getCA(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension(), Utils.createCAFactorialMapChartTitle(ca));
+		if (ca.useFactoMineR()) {
+			return this.createFactorialMapChart((FactoMineRCA) ca.getCA(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension(), Utils
+					.createCAFactorialMapChartTitle(ca));
 		}
 		// CA R package
-		else	{
-			return this.createFactorialMapChart((org.txm.ca.core.statsengine.r.functions.CA) ca.getCA(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca.getSecondDimension());
+		else {
+			return this.createFactorialMapChart((org.txm.ca.core.statsengine.r.functions.CA) ca.getCA(), file, ca.isShowIndividuals(), ca.isShowVariables(), ca.getFirstDimension(), ca
+					.getSecondDimension());
 		}
 	}
-
-
+	
+	
 	@Override
-	public Class getResultDataClass() {
+	public Class<CA> getResultDataClass() {
 		return CA.class;
 	}
-
-
-
+	
+	
+	
 	@Override
 	public ArrayList<String> getCAFactorialMapChartSelectedPoints(Object chart, int series) {
 		// FIXME: not implemented
 		Log.severe(this.getClass() + ".getCAFactorialMapChartSelectedPoints(): Not yet implemented."); //$NON-NLS-1$
-		return new ArrayList<String>(0);
+		return new ArrayList<>(0);
 	}
-
-
+	
+	
 	@Override
 	public void updateChartCAFactorialMapHighlightPoints(Object chart, boolean rows, String[] labels) {
 		// FIXME: not implemented
 		Log.severe(this.getClass() + ".updateChartCAFactorialMapHighlightPoints(): Not yet implemented."); //$NON-NLS-1$
 	}
-
-
+	
+	
 	@Override
 	public void updateChartCAFactorialMapSetLabelItemsSelectionOrder(Object chart, String[] rowLabels, String[] colLabels) {
 		// FIXME: not implemented
 		Log.severe(this.getClass() + ".updateChartCAFactorialMapSetLabelItemsSelectionOrder(): Not yet implemented."); //$NON-NLS-1$
 	}
-
-
+	
+	
 	@Override
 	public void updateChartCAFactorialMapSetDimensions(CA ca) {
 		// FIXME: not implemented
 		Log.severe(this.getClass() + ".updateChartCAFactorialMapSetDimensions(): Not yet implemented."); //$NON-NLS-1$
 	}
-
-
-
-
-
-}
\ No newline at end of file
+	
+	
+	
+	
+	
+}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java	(revision 2719)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/r/REigenvaluesChartCreator.java	(revision 2720)
@@ -8,7 +8,6 @@
 import org.txm.ca.core.functions.Eigenvalues;
 import org.txm.ca.core.messages.CACoreMessages;
 import org.txm.ca.core.statsengine.r.functions.FactoMineRCA;
-import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.r.core.RChartCreator;
 import org.txm.statsengine.r.core.RWorkspace;
 import org.txm.statsengine.r.core.exceptions.RWorkspaceException;
@@ -20,86 +19,89 @@
  * @author sjacquot
  *
  */
-public class REigenvaluesChartCreator extends RChartCreator {
-
+public class REigenvaluesChartCreator extends RChartCreator<Eigenvalues> {
+	
 	@Override
-	public File createChartFile(ChartResult result, File file) {
-
-		CA ca = (CA) ((Eigenvalues) result).getCA();
-
+	public File createChart(Eigenvalues result, File file) {
+		
+		CA ca = result.getCA();
+		
 		// FactoMineR R package
-		if(ca.useFactoMineR())	{
+		if (ca.useFactoMineR()) {
 			return this.createSingularValuesBarPlot((FactoMineRCA) ca.getCA(), file);
 		}
 		// CA R package
-		else	{
+		else {
 			return this.createSingularValuesBarPlot((org.txm.ca.core.statsengine.r.functions.CA) ca.getCA(), file);
 		}
-
 	}
-
-
+	
+	
 	/**
 	 * Creates a bar plot with eigenvalues of the specified CA result from "FactoMineR" R package.
+	 * 
 	 * @param ca
 	 * @param file
 	 * @return the singular values bar plot object
-	 * @throws RWorkspaceException 
-	 * @throws REXPMismatchException 
+	 * @throws RWorkspaceException
+	 * @throws REXPMismatchException
 	 */
 	public File createSingularValuesBarPlot(FactoMineRCA ca, File file) {
-
+		
 		// Create the X axis labels with custom prefix
 		StringBuilder xLabels = new StringBuilder(30);
 		xLabels.append("c("); //$NON-NLS-1$
 		REXP sv;
 		try {
-			sv = RWorkspace.getRWorkspaceInstance().eval("length("+ca.getSymbol()+"$eig$eigenvalue)");  //$NON-NLS-1$ $NON-NLS-2$
+			sv = RWorkspace.getRWorkspaceInstance().eval("length(" + ca.getSymbol() + "$eig$eigenvalue)");  //$NON-NLS-1$ $NON-NLS-2$
 			int ncol = sv.asInteger();
-
+			
 			for (int i = 0, c = ncol; i < c; i++) {
-				if(i > 0)	 {
+				if (i > 0) {
 					xLabels.append(", "); //$NON-NLS-1$
 				}
 				xLabels.append("\"" + (i + 1) + "\""); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			xLabels.append(")"); //$NON-NLS-1$
-
+			
 			String cmd = "tmpY <- " + ca.getSymbol() + "$eig$eigenvalue[1:" + ncol + "];\n"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 			cmd += "barplot(tmpY, main=\"" //$NON-NLS-1$
 					+ CACoreMessages.eigenvalues + "\", ylab=\"" + //$NON-NLS-1$
 					CACoreMessages.eigenvalue + "\", xlab=\"" + //$NON-NLS-1$
 					CACoreMessages.axis + "\", names.arg=" + xLabels + ");\n"; //$NON-NLS-1$ //$NON-NLS-2$
-
+			
 			this.getChartsEngine().plot(file, cmd);
-
+			
 			return file;
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 			return null;
 		}
 	}
-
-
+	
+	
 	/**
 	 * Creates a bar plot with eigenvalues of the specified CA result from "CA" R package.
+	 * 
 	 * @param ca
 	 * @param file
 	 * @return the singular values bar plot object
 	 */
 	public File createSingularValuesBarPlot(org.txm.ca.core.statsengine.r.functions.CA ca, File file) {
-		this.getChartsEngine().plot(file, "barplot(" +  ca.getSymbol() + "$sv)"); //$NON-NLS-1$ //$NON-NLS-2$
+		this.getChartsEngine().plot(file, "barplot(" + ca.getSymbol() + "$sv)"); //$NON-NLS-1$ //$NON-NLS-2$
 		return file;
 	}
-
-
-
+	
+	
+	
 	@Override
 	public Class<Eigenvalues> getResultDataClass() {
 		return Eigenvalues.class;
 	}
-
-
-
-
-}
\ No newline at end of file
+	
+	
+	
+	
+	
+}
Index: tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCEigenvaluesChartCreator.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCEigenvaluesChartCreator.java	(revision 2719)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/chartsengine/jfreechart/themes/highcharts/chartcreators/JFCEigenvaluesChartCreator.java	(revision 2720)
@@ -10,7 +10,6 @@
 import org.txm.ca.core.functions.CA;
 import org.txm.ca.core.functions.Eigenvalues;
 import org.txm.ca.core.messages.CACoreMessages;
-import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.statsengine.core.StatException;
@@ -22,13 +21,13 @@
  * @author sjacquot
  *
  */
-public class JFCEigenvaluesChartCreator extends JFCChartCreator {
+public class JFCEigenvaluesChartCreator extends JFCChartCreator<Eigenvalues> {
 	
 	
 	@Override
-	public Object createChart(ChartResult result) {
+	public JFreeChart createChart(Eigenvalues result) {
 		
-		CA ca = ((Eigenvalues) result).getCA();
+		CA ca = result.getCA();
 		JFreeChart chart = null;
 		
 		// Creates the empty dataset
@@ -44,9 +43,9 @@
 	
 	
 	@Override
-	public void updateChart(ChartResult result) {
+	public void updateChart(Eigenvalues result) {
 		
-		CA ca = ((Eigenvalues) result).getCA();
+		CA ca = result.getCA();
 		JFreeChart chart = (JFreeChart) result.getChart();
 		
 		// freeze rendering while computing
@@ -88,11 +87,8 @@
 	
 	
 	@Override
-	public Class getResultDataClass() {
+	public Class<Eigenvalues> getResultDataClass() {
 		return Eigenvalues.class;
 	}
 	
-	
-	
-	
 }
Index: tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java
===================================================================
--- tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 2719)
+++ tmp/org.txm.wordcloud.rcp/src/org/txm/wordcloud/rcp/editors/WordCloudEditor.java	(revision 2720)
@@ -10,6 +10,9 @@
 import org.txm.core.results.Parameter;
 import org.txm.rcp.swt.widget.FloatSpinner;
 import org.txm.rcp.swt.widget.ThresholdsGroup;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.CQPCorpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 import org.txm.wordcloud.core.functions.WordCloud;
 import org.txm.wordcloud.core.preferences.WordCloudPreferences;
@@ -40,7 +43,7 @@
 	
 	
 	@Override
-	public void __createPartControl() {
+	public void __createPartControl() throws CqiClientException {
 		
 		Composite extendedParametersGroup = this.getExtendedParametersGroup();
 		
@@ -57,7 +60,11 @@
 		
 		// max words / vmax
 		this.vMaxSpinner.setMinimum(10);
-		this.vMaxSpinner.setMaximum(100000);
+		CQPCorpus corpus = getResult().getFirstParent(MainCorpus.class);
+		if (corpus != null) {
+			this.vMaxSpinner.setMaximum(corpus.getSize());
+			this.fMinSpinner.setMaximum(corpus.getSize());
+		}
 		
 		// rotation percent
 		new Label(extendedParametersGroup, SWT.NONE).setText(WordCloudUIMessages.percentOfRotatedLabelsColon);
Index: tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java
===================================================================
--- tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java	(revision 2719)
+++ tmp/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/RasterImageChartsComponentProvider.java	(revision 2720)
@@ -24,6 +24,7 @@
 
 /**
  * Raster image/SWT WebBrowserEditor charts component provider.
+ * 
  * @author sjacquot
  *
  */
@@ -31,110 +32,110 @@
 // FIXME : first of all : need to see if we still need these formats support in the RCP directly in the view (they will be available via export entry)
 // FIXME : the PS and PDF should be moved to a new plugin ExternalChartComponentProvider that launches external system file viewer
 public class RasterImageChartsComponentProvider extends SWTChartsComponentsProvider {
-
 	
+	
 	/**
 	 * 
 	 */
 	public RasterImageChartsComponentProvider() {
 		super();
 	}
-
 	
-
-//	@Override
-//	public ChartEditorInput createChartEditorInput(ChartResult result) {
-//		ChartCreator chartCreator = result.getChartCreator();
-//		File file = chartCreator.createChartFile(result);
-//		// FIXME : to temporary restore the PS and PDF formats : need to be recoded if we decide to keep the PDF and PS view else to remove if we decide to keep only the feature as export
-//		if(this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF)	{
-//			OpenURI.open(file);
-//			return null;
-//		}
-//		
-//		//return (ChartEditor) this.openFile(editorInputName, null, file);
-//		
-//		ChartEditorInput chartEditorInput = new ChartEditorInput(result);
-//		
-//		
-//		/// FIXME: to restore layer
-//	//	this.createChartComponent(chartEditorInput);
-//		
-//		// sets and updates the local preferences node qualifier from the result data
-//		//editor.getEditorInput().syncLocalPreferencesNode();
-//		
-//		return chartEditorInput;
-//
-//	}
-
-//	@Override
-//	public boolean createChartComponent(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput) {
-//		
-//		Object chart = chartEditorInput.getChart();
-//		
-//		if(chart != null)	{
-//			chartEditorInput.setChartComponent(chart);
-//			
-//			// sets and updates the local preferences node qualifier from the result data
-//			chartEditorInput.syncLocalPreferencesNode();
-//
-//			// FIXME: temporary solution
-//			try {
-//				chartEditorInput.getResult().compute();
-//			}
-//			catch(Exception e) {
-//				// TODO Auto-generated catch block
-//				e.printStackTrace();
-//			}
-//
-//			
-//			return true;
-//		}
-//		
-//		
-//		return false;
-//	}
-
-//		public ChartEditor openEditor(ChartEditorInput chartEditorInput, String editorPartId)	{
-//		
-//		ChartEditor chartEditor = ChartEditor.openEditor(null, editorPartId); 
-//		
-//		// FIXME : to temporary restore the PS and PDF formats : need to be recoded if we decide to keep the PDF and PS view else to remove if we decide to keep only the feature as export
-//		// directly close the opened editor after the external viewer is opened
-//		// The best would be to create a plugin as dummyexternalviewer implementing SWT charts components extension?
-//		if(this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF)	{
-//			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
-//			IWorkbenchPage page = window.getActivePage();
-//			page.closeEditor(chartEditor, false);
-//		}
-//		
-//		return chartEditor;
-//	}
 	
+	
+	// @Override
+	// public ChartEditorInput createChartEditorInput(ChartResult result) {
+	// ChartCreator chartCreator = result.getChartCreator();
+	// File file = chartCreator.createChartFile(result);
+	// // FIXME : to temporary restore the PS and PDF formats : need to be recoded if we decide to keep the PDF and PS view else to remove if we decide to keep only the feature as export
+	// if(this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF) {
+	// OpenURI.open(file);
+	// return null;
+	// }
+	//
+	// //return (ChartEditor) this.openFile(editorInputName, null, file);
+	//
+	// ChartEditorInput chartEditorInput = new ChartEditorInput(result);
+	//
+	//
+	// /// FIXME: to restore layer
+	// // this.createChartComponent(chartEditorInput);
+	//
+	// // sets and updates the local preferences node qualifier from the result data
+	// //editor.getEditorInput().syncLocalPreferencesNode();
+	//
+	// return chartEditorInput;
+	//
+	// }
+	
+	// @Override
+	// public boolean createChartComponent(ChartsEngine chartsEngine, ChartEditorInput chartEditorInput) {
+	//
+	// Object chart = chartEditorInput.getChart();
+	//
+	// if(chart != null) {
+	// chartEditorInput.setChartComponent(chart);
+	//
+	// // sets and updates the local preferences node qualifier from the result data
+	// chartEditorInput.syncLocalPreferencesNode();
+	//
+	// // FIXME: temporary solution
+	// try {
+	// chartEditorInput.getResult().compute();
+	// }
+	// catch(Exception e) {
+	// // TODO Auto-generated catch block
+	// e.printStackTrace();
+	// }
+	//
+	//
+	// return true;
+	// }
+	//
+	//
+	// return false;
+	// }
+	
+	// public ChartEditor openEditor(ChartEditorInput chartEditorInput, String editorPartId) {
+	//
+	// ChartEditor chartEditor = ChartEditor.openEditor(null, editorPartId);
+	//
+	// // FIXME : to temporary restore the PS and PDF formats : need to be recoded if we decide to keep the PDF and PS view else to remove if we decide to keep only the feature as export
+	// // directly close the opened editor after the external viewer is opened
+	// // The best would be to create a plugin as dummyexternalviewer implementing SWT charts components extension?
+	// if(this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF) {
+	// IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
+	// IWorkbenchPage page = window.getActivePage();
+	// page.closeEditor(chartEditor, false);
+	// }
+	//
+	// return chartEditor;
+	// }
+	
 	@Override
 	public ChartComposite createComposite(ChartEditor chartEditor, Composite parent) {
-		RasterComposite composite = new RasterComposite(chartEditor, parent,  SWT.EMBEDDED);
+		RasterComposite composite = new RasterComposite(chartEditor, parent, SWT.NONE);
 		
-		 // Link the composite to the chart editor (need to be done before initializing the AWT delegation events)
-		//FIXME:
-		 //chartEditor.setChartComposite(composite);
-
+		// Link the composite to the chart editor (need to be done before initializing the AWT delegation events)
+		// FIXME:
+		// chartEditor.setChartComposite(composite);
+		
 		// FIXME : to temporary restore the PS and PDF formats : need to be recoded if we decide to keep the PDF and PS view else to remove if we decide to keep only the feature as export
-		 // The best would be to create a plugin as dummyexternalviewer implementing SWT charts components extension?
-		 // Opens an external viewer
-		if(this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF)	{
+		// The best would be to create a plugin as dummyexternalviewer implementing SWT charts components extension?
+		// Opens an external viewer
+		if (this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PS || this.chartsEngine.getOutputFormat() == ChartsEngine.OUTPUT_FORMAT_PDF) {
 			OpenURI.open((File) chartEditor.getResult().getChart());
 		}
-//		else	{
-//			 // Load the chart in composite
-//			composite.loadChart();
-//		}
-	 
+		// else {
+		// // Load the chart in composite
+		// composite.loadChart();
+		// }
+		
 		return composite;
 	}
-
 	
 	
+	
 	/**
 	 * 
 	 * @param file
@@ -144,7 +145,8 @@
 	 * @return
 	 */
 	// FIXME : first of all : need to see if we still need these formats support in the RCP directly in the view (they will be available via export entry)
-	// FIXME : need to create a ChartEditor for the RasterImageChartsComponentProvider ? at least it would be used to stock the result (Progression, CA, Partition, etc.) but is it useful in this case ?
+	// FIXME : need to create a ChartEditor for the RasterImageChartsComponentProvider ? at least it would be used to stock the result (Progression, CA, Partition, etc.) but is it useful in this case
+	// ?
 	// And yes if we really still need these format PNG, JPG, the (ChartEditor) cast doesn't work for the CA chart
 	// FIXME : need to globally check this class, it has been quickly developed for retrocompatiblity with PNG and JPEG formats
 	public IEditorPart openFile(String editorname, Image titleImage, File file) {
@@ -153,18 +155,18 @@
 		return editor;
 	}
 	
-
-//	@Override
-//	public ArrayList<String> getEditorSupportedExportFileFormats() {
-//		// FIXME : no export from web browser PNG, JPEG, see if needed
-//		return new ArrayList<String>();
-//	}
-
+	
+	// @Override
+	// public ArrayList<String> getEditorSupportedExportFileFormats() {
+	// // FIXME : no export from web browser PNG, JPEG, see if needed
+	// return new ArrayList<String>();
+	// }
+	
 	@Override
 	public ArrayList<String> getChartsEngineSupportedExportFileFormats() {
 		return this.chartsEngine.getSupportedOutputFileFormats();
 	}
-
 	
-
+	
+	
 }
